Package: org.apache.groovy.json

## [Java] Class DefaultFastStringService

- org.apache.groovy.json.DefaultFastStringService

- All Implemented Interfaces and Traits:
    FastStringService

      public class DefaultFastStringService
      extends Object
      implements FastStringService

  Internal class for fast processing of Strings during JSON parsing - default version

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public String` | `noCopyStringFromChars(char[] chars)`
    `` | `public char[]` | `toCharArray(String string)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### @Override
      public String noCopyStringFromChars(char[] chars)

    - #### @Override
      public char[] toCharArray(String string)